commit: 71aaf6be0046f1586d5569991c4d9d734150bb66
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 15 19:58:15 2016 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 19:58:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71aaf6be
dev-python/keyring: revbump adding missing dep for bug 599906
Package-Manager: portage-2.3.0
dev-python/keyring/keyring-10.0.2-r1.ebuild | 32 +++++++++++++++++++++++++++++
1 file changed, 32 insertions(+)
diff --git a/dev-python/keyring/keyring-10.0.2-r1.ebuild
b/dev-python/keyring/keyring-10.0.2-r1.ebuild
new file mode 100644
index 00000000..8ac52ed
--- /dev/null
+++ b/dev-python/keyring/keyring-10.0.2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides access to the system keyring service"
+HOMEPAGE="https://github.com/jaraco/keyring"
+SRC_URI="mirror://pypi/k/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ dev-python/secretstorage[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )"
+RDEPEND=""
+
+python_test() {
+ py.test -v -v || die "testsuite failed under ${EPYTHON}"
+}